//--------------------------------------------------------------------
//
// Copyright Candle Corporation 2001-2003
//
// This code is the confidential and proprietary property of Candle
// Corporation that is licensed for your internal company use only
// and is not to be reproduced, used, licensed, sold or disclosed
// outside of your corporation except upon written authorization of
// Candle Corporation. The code can be used for internal development,
// test and production applications.  Any unauthorized use,
// duplication, or disclosure is unlawful. You may not sell or license
// this code in any commercial products.
//
// Permission is granted to you to alter the code for your internal
// use only, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must
//    not claim that you wrote the code.  If you use this code in
//    conjunction with other code, an acknowledgement is required.
//
// 2. Altered versions of this code must be plainly marked as such,
//    and must not be misrepresented as being the original code.
//
// 3. This notice may not be removed or altered from any source
//    distribution.
//
// This code is provided with RESTRICTED RIGHTS.  Use, duplication or
// disclosure by the Government is subject to restrictions set forth
// in the applicable license agreement and/or Government Data Rights
// Clauses(s), as applicable (including but not limited to DFARS
// 252.227-7013(c)(ii) and FAR 52.227-19(a)(d).  Unpublished-All
// rights reserved under United States Copyright Laws.  Manufacturer
// is Candle Corporation, 100 N. Sepulveda Boulevard, El Segundo, CA 90245.
//
//--------------------------------------------------------------------
// $Id: kxcoipxy.hpp,v 1.16 2004/02/18 19:08:08 e_dm Exp $
// $Source: /romacvs/root/roma/src/kxc/omodel/cpp/kxcoipxy.hpp,v $
// $Revision: 1.16 $
//--------------------------------------------------------------------
// The proxy accessor to the internal implementation pointer of a 
// public interface.
//--------------------------------------------------------------------

#ifndef __KXCOIPXY_HPP__
#define __KXCOIPXY_HPP__

#include "kxcoall.hpp"

#include "kxcoimsg.hpp"
#include "kxcoiopt.hpp"
#include "kxcoigdt.hpp"
#include "kxcoidir.hpp"
#include "kxcoiems.hpp"


class RomaImplProxy
{
public:
    static RomaImplDirItem& getImpl(const RomaDirectoryItem& obj) { 
        return *((RomaImplDirItem*)obj.m_impl); 
    }

    static RomaImplSubject& getImpl(const RomaSubject& obj) { 
        return *((RomaImplSubject*)obj.m_impl); 
    }

    static RomaImplBusService& getImpl(const RomaBusinessService& obj) { 
        return *((RomaImplBusService*)obj.m_impl); 
    }

    static RomaImplBusFlow& getImpl(const RomaBusinessFlow& obj) { 
        return *((RomaImplBusFlow*)obj.m_impl); 
    }

    static RomaImplRetrieveOptions& getImpl(const RomaRetrieveOptions& obj) { 
        return *((RomaImplRetrieveOptions*)obj.m_impl); 
    }

    static RomaImplDirAccess& getImpl(const RomaDirectoryAccess& obj) { 
        return *((RomaImplDirAccess*)obj.m_impl); 
    }

    static RomaImplStoreOptions& getImpl(const RomaStoreOptions& obj) { 
        return *((RomaImplStoreOptions*)obj.m_impl); 
    }

    static RomaImplLogInfo& getImpl(const RomaLogInformation& obj) { 
        return *((RomaImplLogInfo*)obj.m_impl); 
    }

    static RomaImplExceptionOptions& getImpl(const RomaExceptionOptions& obj) {
        return *((RomaImplExceptionOptions*)obj.m_impl); 
    }

    static RomaImplReportOptions& getImpl(const RomaReportOptions& obj) { 
        return *((RomaImplReportOptions*)obj.m_impl); 
    }

    static RomaImplSyncpoint& getImpl(const RomaSyncpointDef& obj) { 
        return *((RomaImplSyncpoint*)obj.m_impl); 
    }

    static RomaImplILSData& getImpl(const RomaILSData& obj) { 
        return *((RomaImplILSData*)obj.m_impl); 
    }

    static RomaImplMsgId& getImpl(const RomaMsgId& obj) { 
        return *((RomaImplMsgId*)obj.m_impl); 
    }

    static RomaImplExceptionMessage& getImpl(const RomaExceptionMessage& obj) { 
        return *((RomaImplExceptionMessage*)obj.m_impl); 
    }

    static RomaImplStorable& getImpl(const RomaStorable& obj) { 
        return *((RomaImplStorable*)obj.m_impl); 
    }

    static RomaImplClientRequest& getImpl(const RomaClientRequest& obj) { 
        return *((RomaImplClientRequest*)obj.m_impl); 
    }

    static RomaImplMsgIncoming& getImpl(const RomaClientResponse& obj) {
        return *((RomaImplMsgIncoming*)obj.m_impl); 
    }

    static RomaImplTheme& getImpl(const RomaTheme& obj) { 
        return *((RomaImplTheme*)obj.m_impl); 
    }

    static RomaImplThemeInfo& getImpl(const RomaThemeInfo& obj) { 
        return *((RomaImplThemeInfo*)obj.m_impl); 
    }

    static RomaImplSecurity& getImpl(const RomaSecurityDef& obj) { 
        return *((RomaImplSecurity*)obj.m_impl); 
    }

    static RomaImplSubscription& getImpl(const RomaSubscription& obj) { 
        return *((RomaImplSubscription*)obj.m_impl); 
    }

    static RomaImplPublication& getImpl(const RomaPublication& obj) { 
        return *((RomaImplPublication*)obj.m_impl); 
    }

    static RomaImplGetOptions& getImpl(const RomaGetOptions& obj) { 
        return *((RomaImplGetOptions*)obj.m_impl); 
    }

    static RomaImplError& getImpl(const RomaError& obj) { 
        return *((RomaImplError*)obj.m_impl); 
    }

    static RomaImplElementResponse& getImpl(const RomaBeResponse& obj) { 
        return *((RomaImplElementResponse*)obj.m_impl); 
    }

    static RomaImplMsgIncoming& getImpl(const RomaBeRequest& obj) { 
        return *((RomaImplMsgIncoming*)obj.m_impl); 
    }

    static RomaImplClient& getImpl(const RomaClient& obj) { 
        return *((RomaImplClient*)obj.m_impl); 
    }

    static RomaImplElement& getImpl(const RomaBusinessElement& obj) { 
        return *((RomaImplElement*)obj.m_impl); 
    }

    static RomaImplRouteList& getImpl(const RomaRouteList& obj) { 
        return *((RomaImplRouteList*)obj.m_impl); 
    }

    static RomaImplTrailerList& getImpl(const RomaTrailerList& obj) { 
        return *((RomaImplTrailerList*)obj.m_impl); 
    }


    static RomaImplRouteList* getImplPtr(const RomaRouteList& obj) {
        return (RomaImplRouteList*)obj.m_impl; 
    }

    static RomaImplTrailerList* getImplPtr(const RomaTrailerList& obj) {
        return (RomaImplTrailerList*)obj.m_impl; 
    }

    static RomaImplWfService* getImplPtr(const RomaWorkflowService& obj) {
        return (RomaImplWfService*)obj.m_impl; 
    }

    static RomaImplWorkflow* getImplPtr(const RomaWorkflow& obj) {
        return (RomaImplWorkflow*)obj.m_impl; 
    }

    static RomaImplEteInfo* getImplPtr(const RomaEteInfo& obj) {
        return (RomaImplEteInfo*)obj.m_impl; 
    }

    static RomaImplRoute* getImplPtr(const RomaRoute& obj) {
        return (RomaImplRoute*)obj.m_impl; 
    }

    static RomaImplTrailer* getImplPtr(const RomaTrailer& obj) {
        return (RomaImplTrailer*)obj.m_impl; 
    }

    static RomaImplThemeInfo* getImplPtr(const RomaThemeInfo& obj) {
        return (RomaImplThemeInfo*)obj.m_impl; 
    }


    static RomaError* createPublic(RomaImplError* impl) { 
        return new RomaError(impl); }

    static RomaILSData* createPublic(RomaImplILSData* impl) { 
        return new RomaILSData(impl); }

    static RomaClientResponse* createClientResponse(RomaImplMsgIncoming* impl) { 
        return new RomaClientResponse(impl); }

    static RomaBeResponse* createPublic(RomaImplElementResponse* impl) { 
        return new RomaBeResponse(impl); }

    static RomaBeRequest* createBeRequest(RomaImplMsgIncoming* impl) { 
        return new RomaBeRequest(impl); }

    static RomaStorable* createPublic(RomaImplStorable* impl) { 
        return new RomaStorable(impl); }

    static RomaDirectoryItem* createPublic(RomaImplDirItem* impl) { 
        return new RomaDirectoryItem(impl); }

    static RomaStorable* createPublic(const RomaStorable& src) {
        RomaImplStorable* impl = (RomaImplStorable*)src.m_impl;
        impl->lockInstance();
        return new RomaStorable(impl); 
    }


    static bool createStorable(RomaStorageQueue& queue, 
                               const RomaStorable& original, 
                               RomaStorable*& updated) {
        return queue.createStorable(original, updated); 
    }

    static bool createRequest(RomaBusinessElement& elem, 
                              const RomaBeRequest& original, 
                              RomaBeRequest*& updated) {
        return elem.createRequest(original, updated); 
    }

    static bool createResponse(RomaClient& cl, 
                               const RomaClientResponse& original,
                               RomaClientResponse*& updated) {
        return cl.createResponse(original, updated); 
    }

    static bool marshalForStorage(RomaStorable& storable) {
        return storable.marshalForStorage(); }

    static bool marshalRequest(RomaClientRequest& request) {
        return request.marshalRequest(); }

    static bool marshalRequest(RomaPublication& request) {
        return request.marshalRequest(); }

    static bool marshalResponse(RomaBeResponse& response) {
        return response.marshalResponse(); }


    static void setImpl(RomaMessageInfo& target, RomaImplMsgInfo* impl) {
        target = RomaMessageInfo(impl);
    }

    static void setImpl(RomaThemeInfo& target, RomaImplThemeInfo* impl) {
        target = RomaThemeInfo(impl);
    }

    static void setImpl(RomaRoute& target, RomaImplRoute* impl) {
        target = RomaRoute(impl);
    }

    static void setImpl(RomaTrailer& target, RomaImplTrailer* impl) {
        target = RomaTrailer(impl);
    }


    static RomaTrailerList getPublic(RomaImplTrailerList* impl) {
        return RomaTrailerList(impl);
    }

    static RomaEteInfo getPublic(RomaImplEteInfo* impl) {
        return RomaEteInfo(impl);
    }

    static RomaMsgId getPublic(RomaImplMsgId* impl) {
        return RomaMsgId(impl);
    }

    static RomaWorkflow getPublic(RomaImplWorkflow* impl) {
        return RomaWorkflow(impl);
    }

    static RomaExceptionInfo getPublic(RomaImplExcInfo* impl) {
        return RomaExceptionInfo(impl);
    }

    static RomaConfig getPublic(RomaImplRomaConfig* impl) {
        return RomaConfig(impl);
    }

    static RomaSystemConfig getPublic(RomaImplSysConfig* impl) {
        return RomaSystemConfig(impl);
    }

    static RomaExcErrorData getPublic(RomaImplExcErrorData* impl) {
        return RomaExcErrorData(impl);
    }

    static RomaClientResponse getPublicCR(RomaImplMsgIncoming* impl) {
        return RomaClientResponse(impl);
    }

    static RomaBeRequest getPublicBR(RomaImplMsgIncoming* impl) {
        return RomaBeRequest(impl);
    }


    static RomaWorkflow getPublicWithLock(RomaImplWorkflow* impl) {
        impl->lockInstance();
        return RomaWorkflow(impl);
    }

    static RomaTrailerList getPublicWithLock(RomaImplTrailerList* impl) {
        impl->lockInstance();
        return RomaTrailerList(impl);
    }

    static RomaMsgId getPublicWithLock(RomaImplMsgId* impl) {
        impl->lockInstance();
        return RomaMsgId(impl);
    }

    static RomaClientResponse getPublicWithLockCR(RomaImplMsgIncoming* impl) {
        impl->lockInstance();
        return RomaClientResponse(impl);
    }

    static RomaBeRequest getPublicWithLockBR(RomaImplMsgIncoming* impl) {
        impl->lockInstance();
        return RomaBeRequest(impl);
    }

    static RomaExceptionInfo getPublicWithLock(RomaImplExcInfo* impl) {
        impl->lockInstance();
        return RomaExceptionInfo(impl);
    }

    static RomaConfig getPublicWithLock(RomaImplRomaConfig* impl) {
        impl->lockInstance();
        return RomaConfig(impl);
    }

    static RomaSystemConfig getPublicWithLock(RomaImplSysConfig* impl) {
        impl->lockInstance();
        return RomaSystemConfig(impl);
    }

    static RomaExcErrorData getPublicWithLock(RomaImplExcErrorData* impl) {
        impl->lockInstance();
        return RomaExcErrorData(impl);
    }

    static RomaWorkflowService getPublicWithLock(RomaImplWfService* impl) {
        impl->lockInstance();
        return RomaWorkflowService(impl);
    }

    static RomaRouteList getPublicWithLock(RomaImplRouteList* impl) {
        impl->lockInstance();
        return RomaRouteList(impl);
    }
};


#endif // __KXCOIPXY_HPP__

