//--------------------------------------------------------------------
//
// Copyright Candle Corporation 1998-2003
//
// This code is the confidential and proprietary property of Candle
// Corporation that is licensed for your internal company use only
// and is not to be reproduced, used, licensed, sold or disclosed
// outside of your corporation except upon written authorization of
// Candle Corporation. The code can be used for internal development,
// test and production applications.  Any unauthorized use,
// duplication, or disclosure is unlawful. You may not sell or license
// this code in any commercial products.
//
// Permission is granted to you to alter the code for your internal
// use only, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must
//    not claim that you wrote the code.  If you use this code in
//    conjunction with other code, an acknowledgement is required.
//
// 2. Altered versions of this code must be plainly marked as such,
//    and must not be misrepresented as being the original code.
//
// 3. This notice may not be removed or altered from any source
//    distribution.
//
// This code is provided with RESTRICTED RIGHTS.  Use, duplication or
// disclosure by the Government is subject to restrictions set forth
// in the applicable license agreement and/or Government Data Rights
// Clauses(s), as applicable (including but not limited to DFARS
// 252.227-7013(c)(ii) and FAR 52.227-19(a)(d).  Unpublished-All
// rights reserved under United States Copyright Laws.  Manufacturer
// is Candle Corporation, 100 N. Sepulveda Boulevard, El Segundo, CA 90245.
//
//--------------------------------------------------------------------
//
// Module       : kxcopltn.hpp
//
// Description  : KXC C++ WinNT Platform header
//
// Notes        : The kxcoplt* header files are not shipped. They
//                set the platform specific definitions required to
//                build the C++ library (as opposed to kxcoenv.h
//                which defines any platform specific needed by the
//                end user application programs).
//
//--------------------------------------------------------------------
// $Id: kxcopltn.hpp,v 1.4 2003/02/21 22:48:07 emueh Exp $
// $Source: /romacvs/root/roma/src/kxc/omodel/cpp/kxcopltn.hpp,v $
// $Revision: 1.4 $
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// Protect against multiple includes
//--------------------------------------------------------------------
#ifndef __KXCOPLTN_INCLUDED
#define __KXCOPLTN_INCLUDED

//--------------------------------------------------------------------
// Include operating system includes
//--------------------------------------------------------------------
#include <windows.h>

//--------------------------------------------------------------------
// Include standard compiler includes
//--------------------------------------------------------------------
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <stdarg.h>
#include <fcntl.h>
#include <io.h>
#include <time.h>
#include <sys/timeb.h>
#include <sys/stat.h>

//--------------------------------------------------------------------
// Define any language specifics required by the build
//--------------------------------------------------------------------
// NONE

//--------------------------------------------------------------------
// Declare platform name for trace
//--------------------------------------------------------------------
#define KXC_PLATFORM       "WindowsNT"

//--------------------------------------------------------------------
// End of module kxcopltn.h
//--------------------------------------------------------------------
#endif
