//--------------------------------------------------------------------
//
// Copyright Candle Corporation 2003
//
// This code is the confidential and proprietary property of Candle
// Corporation that is licensed for your internal company use only
// and is not to be reproduced, used, licensed, sold or disclosed
// outside of your corporation except upon written authorization of
// Candle Corporation. The code can be used for internal development,
// test and production applications.  Any unauthorized use,
// duplication, or disclosure is unlawful. You may not sell or license
// this code in any commercial products.
//
// Permission is granted to you to alter the code for your internal
// use only, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must
//    not claim that you wrote the code.  If you use this code in
//    conjunction with other code, an acknowledgement is required.
//
// 2. Altered versions of this code must be plainly marked as such,
//    and must not be misrepresented as being the original code.
//
// 3. This notice may not be removed or altered from any source
//    distribution.
//
// This code is provided with RESTRICTED RIGHTS.  Use, duplication or
// disclosure by the Government is subject to restrictions set forth
// in the applicable license agreement and/or Government Data Rights
// Clauses(s), as applicable (including but not limited to DFARS
// 252.227-7013(c)(ii) and FAR 52.227-19(a)(d).  Unpublished-All
// rights reserved under United States Copyright Laws.  Manufacturer
// is Candle Corporation, 100 N. Sepulveda Boulevard, El Segundo, CA 90245.
//
//--------------------------------------------------------------------
// $Id: RomaBusinessService.java,v 1.2 2003/11/18 15:18:36 e_dm Exp $
// $Source: /romacvs/root/roma/src/kxc/omodel/java/com/candle/roma/kxc/RomaBusinessService.java,v $
//--------------------------------------------------------------------
//
// Module       : RomaBusinessService.java
//
// Defines      : class RomaBusinessService
//
//--------------------------------------------------------------------

package com.candle.roma.kxc;


/**
* This class defines the Business Service information. It is used with
* {@link RomaContext#insertWorkflow(RomaTheme,RomaBusinessService,boolean)}
* method.
*/
public class RomaBusinessService
{
    /**
    * Constructs the empty object.
    */
    public RomaBusinessService()
    {
    }

    /**
    * Constructs the object with the specified data.
    *
    * @param name Business Service name
    */
    public RomaBusinessService(String name)
    {
        setName(name);
    }

    /**
    * Sets the service name.
    *
    * @param name Business Service name
    */
    public void setName(String name)
    {
        m_name = (name == null ? "" : name);
    }

    /**
    * Returns the service name.
    */
    public String getName()
    {
        return m_name;
    }


    private String m_name = "";
}

