@rem ######################################################################
@rem # Copyright 1999-2002, Candle Corporation, a California
@rem # corporation.  All rights reserved. International copyright secured.
@rem #
@rem # This material is proprietary to Candle Corporation and is not to be
@rem # reproduced, used, or disclosed except in accordance with program
@rem # licenses or upon written authorization of Candle Corporation.
@rem #
@rem # This file configures the environment for running the
@rem # Installation Verification Procedure (IVP).  You should set the
@rem # variables below according to your environment before running this
@rem # command.  The command syntax is:
@rem #		kxmivcfg.bat hostname port userid password
@rem #
@rem # For example:
@rem # 		kxmivcfg.bat localhost 389 manager secret
@rem #
@rem # $Id: kxmivcfg.bat,v 1.21 2004/09/23 19:50:57 e_vvb Exp $
@rem # $Source: /romacvs/root/roma/src/kxm/kxmivp/kxmivcfg.bat,v $
@rem #######################################################################

@echo off
setlocal

@rem Usage
if Z%4 == Z goto BadUsage

@rem Get the parameters
set HOST=%1
set PORT=%2
set DN=%3
set PASSWD=%4

@rem Import Configuration
ldapadd -c -D cn=%DN% -w %PASSWD% -h %HOST% -p %PORT% -f kxmiv.txt

@rem Import IVP metadata
krrimp -h %HOST% -p %PORT% -ctx cn=RomaContext,dc=Context,dc=Roma,|PARTITION| -D %DN% -w %PASSWD% -o -f kxmiv.mdr

goto end

:BadUsage
echo Usage: kxmivcfg.bat hostname port userid password
goto end

:end
endlocal
