@rem ######################################################################
@rem # Copyright 1999-2002, Candle Corporation, a California
@rem # corporation.  All rights reserved. International copyright secured.
@rem #
@rem # This material is proprietary to Candle Corporation and is not to be
@rem # reproduced, used, or disclosed except in accordance with program
@rem # licenses or upon written authorization of Candle Corporation.
@rem #
@rem # This file removes the environment for running the 
@rem # Installation Verification Procedure (IVP).  The command syntax is:
@rem #		kxmivdel.bat hostname port userid password
@rem #
@rem # For example:
@rem #		kxmivdel.bat localhost 389 manager secret
@rem #
@rem # $Id: kxmivdel.bat,v 1.17 2004/09/23 19:50:57 e_vvb Exp $
@rem # $Source: /romacvs/root/roma/src/kxm/kxmivp/kxmivdel.bat,v $
@rem #######################################################################

@echo off
setlocal

@rem Usage
if Z%4 == Z goto BadUsage

@rem Get the parameters
set HOST=%1
set PORT=%2
set DN=%3
set PASSWD=%4

@rem Removes configuration
ldapdelete -D cn=%DN% -w %PASSWD% -h %HOST% -p %PORT% -c -f kxmivd.txt

@rem Remove IVP definitions
krrdel -h %HOST% -p %PORT% -ctx cn=RomaContext,dc=Context,dc=Roma,|PARTITION| -D %DN% -w %PASSWD% -ns CandleSamples.Conversion.ILS

goto end

:BadUsage
echo Usage: krrivdel.bat hostname port userid password
goto end

:end
endlocal
