#********************************************************************/
#*                                                                  */
#* Module      : mksmpcpp.mak                                       */
#*                                                                  */
#* Description : WinNT/2000 makefile for sample KXC C++ client and  */
#*               server                                             */
#*                                                                  */
#********************************************************************/
#*                                                                  */
#* Copyright Candle Corporation 1998-2003                           */
#*                                                                  */
#********************************************************************/
#*                                                                  */
#* Disclaimer:  This sample makefile is provided for information    */
#*              purposes only.  Candle neither makes any warranties */
#*              or representations regarding this software, or its  */
#*              use.  This makefile is provided "as is" and Candle  */
#*              expressly disclaims the warranties of               */
#*              merchantability and fitness for a particular        */
#*              purpose.                                            */
#*                                                                  */
#********************************************************************/
#* $Id: kxcosmpn.mak,v 1.7 2003/12/11 18:30:08 e_dm Exp $           */
#* $Source: /romacvs/root/roma/src/kxc/omodel/cpp/kxcosmpn.mak,v $  */
#********************************************************************/

#TODO: set up to point to your CASP installation
KXCLOC=$(CANDLE_CASP_HOME)\toolkit
KXCINC=$(KXCLOC)\include
KXCLIB=$(KXCLOC)\lib

#TODO: define your compiler and build tools
CC=cl
LN=link	/DEBUG /PDB:$(*B).pdb
RM=del

#TODO: define your build options
CFLAGS= /c /MD /I$(KXCINC) /I. /Zi
DFLAGS= $(CFLAGS)

C_LIBS=    $(KXCLIB)\kxco.lib

C_COBJS=   cpp_client.obj   
C_SOBJS=   cpp_server.obj   
C_EMSOBJS= cppems.obj   

all: c_clientserver cppems

# main targets ...

c_clientserver: cppclnt cppsrvr

cppsrvr: $(C_SOBJS)
	$(LN) $(C_SOBJS) $(C_LIBS) -out:cppsrvr.exe

cppclnt: $(C_COBJS)
	$(LN) $(C_COBJS) $(C_LIBS) -out:cppclnt.exe

cppems: $(C_EMSOBJS)
	$(LN) $(C_EMSOBJS) $(C_LIBS) -out:cppems.exe


c_sendrecv:
	$(MAKE) clean
	$(MAKE) c_send
	$(MAKE) c_recv

c_send:
	$(MAKE) "CFLAGS=$(CFLAGS) -DDATAGRAM_MODEL" cppclnt

c_recv:
	$(MAKE) "CFLAGS=$(CFLAGS) -DDATAGRAM_MODEL" cppsrvr


# objects ...
cpp_client.obj: cppclnt.cpp
	$(CC) $(DFLAGS) /Fo$@ $?

cpp_server.obj: cppsrvr.cpp
	$(CC) $(DFLAGS) /Fo$@ $?

cppems.obj: cppems.cpp
	$(CC) /GX $(DFLAGS) /Fo$@ $?

TMP_FILES=*.obj *.pdb *.ilk
C_EXE=cppclnt.exe cppsrvr.exe cppems.exe

clean:
	-$(RM) $(TMP_FILES) $(C_EXE) 
