@echo off

REM ****************************************************************************
echo            Copyright, 2002 Candle Corporation. All Rights Reserved.
echo            ROMA(TM) Object Manager V3.2
REM ****************************************************************************
REM
REM Invoking ROMA(TM) Object Manager with Java Runtime Environment (JRE) v1.3
REM
REM ****************************************************************************

REM ** Set variable KBX_DIRPATH to point ROMA Installation directory 

SET KBX_DIRPATH=%CANDLE_COMMON_HOME%
SET KBX_CASPPATH=%CANDLE_CASP_HOME%
CD /D %KBX_DIRPATH%\ROM\KBXCONFG

REM ** Make variables CLASSPATH, and PATH point to the 
REM ** JAVA Library and Runtime files.

SET JAVACLAS="%KBX_DIRPATH%\ROM\KBXCONFG\kbxbrom.jar"
SET JAVACLAS=%JAVACLAS%;"%KBX_DIRPATH%\ROM\KBXCONFG\kbxbtrc.jar"
SET JAVACLAS=%JAVACLAS%;"%KBX_DIRPATH%\ROM\KBXCONFG\kbxbmdr.jar"
SET JAVACLAS=%JAVACLAS%;"%KBX_DIRPATH%\ROM\KBXCONFG\kbxbxml.jar"
SET JAVACLAS=%JAVACLAS%;"%KBX_DIRPATH%\bin\krrjapi.jar"
SET PATH=%KBX_DIRPATH%\ROM\JRE\BIN;%KBX_DIRPATH%\BIN;%KBX_CASPPATH%\TOOLKIT\BIN
SET CLASSPATH=

REM ** Invoke java on the Reporter WITHOUT the Java Console window.
REM ** You may want to change this to "jre KbxJConfig" to invoke it
REM ** WITH Java Console window and see error messages.

if NOT EXIST %KBX_DIRPATH%\ROM\JRE\BIN\java.exe  goto ERROR
echo --------------------------------------------------------
set
set > env.log
java -fullversion 2>> env.log
echo --------------------------------------------------------

REM SET KBB_RAS1=(COMP:KBX ALL)(COMP:KXC ALL)(COMP:KRR ALL)(COMP:KRRDOM ERROR)(COMP:KXM ALL)
SET KBB_RAS1=(COMP:KBX ALL)
java -Xms32m -Xmx256m -cp %JAVACLAS% com.candle.roma.kbxrom.Presentation.kbxRomaObjectManager -ebp -r"%KBX_DIRPATH%" > ras1.log
jrasfilt -t on -i ras1.log > ras1filt.log

goto END

:ERROR
echo ***********************************************************************
echo ** ERROR: The ROMA(TM) Object Manager requires version 1.3 of Java.  **
echo **   Please make sure you have installed Java 1.3 and modified       **
echo **   command file KBXROM.BAT (in folder ROMA\KBXCONFG\) by           **
echo **   setting the correct path to the Java 1.3 runtime libraries in   **
echo **   the SET KBX_DIRPATH statement.  For more information, see the   **
echo **   product installation guide provided in file INSTALL.TXT.        **
echo ***********************************************************************
pause

:END
exit
